DNS API-Referenz
v1.6.2
Cancel pending DNSSEC transition
Cancel a currently pending DNSSEC activation or, for regfish-managed nameservers, a pending DNSSEC deactivation. If no cancellable transition exists, the request fails with
409.POST
/dns/{domain}/dnssec/cancel
DomainDNSSECCancelByDomain
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
domain
string
-
Pflicht
Fully Qualified Domain Name.
Request-Beispiel
POST
curl --request POST \
--url 'https://api.regfish.com/dns/www.example.com/dnssec/cancel' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
DNSSEC transition cancelled or current stable state returned
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"configured": true,
"dnssec_state": "active",
"mode": "none",
"desired_state": "disabled",
"live_state": "disabled",
"capabilities": {
"supported": true,
"provider": "example",
"mode_regfish_available": true,
"mode_external_available": true,
"accepted_record_kinds": [
"ds"
],
"min_records": 1,
"accepted_algorithms": [
1
]
},
"desired_records": [
{
"kind": "ds",
"algorithm": 1
}
],
"live_records": [
{
"kind": "ds",
"algorithm": 1
}
],
"using_regfish_nameservers": true,
"legacy_mode": true,
"zone_signed": true,
"zone_pending_disable": true
}
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
Domain not found
Response-Beispiel 404
{
"success": false,
"message": "Domain not found",
"error": "Domain not found"
}409
No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically
Response-Beispiel 409
{
"success": false,
"message": "No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically",
"error": "No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically"
}Verwandte Modelle
baseResult
baseResult
dnssecCapabilities
dnssecCapabilities
dnssecDisplayState
High-level DNSSEC status.
dnssecJobResponse
dnssecJobResponse
dnssecMode
Requested DNSSEC operating mode. - `none`: no registry DNSSEC should remain active - `regfish`: regfish signs the zone and manages registry trust anchors - `external`: the caller supplies DNSSEC records for external authoritative nameservers
dnssecRecord
dnssecRecord
dnssecRecordKind
dnssecRecordKind
dnssecResponse
dnssecResponse
dnssecState
Fine-grained registry DNSSEC state.
Error
Error
fqdn_relaxed
Fully Qualified Domain Name.
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.